## mnemosyne 2.7.1+ds

=== requirements.txt ===
cheroot
cherrypy
matplotlib
webob
sphinx
pyqt5
nose
decorator

## mnemosyne 2.0~RC1

=== debian/changelog ===
mnemosyne (2.0~RC1-3) unstable; urgency=low

  * Remove outdated localization files (closes: 678825)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 25 Jun 2012 10:40:57 +0100

mnemosyne (2.0~RC1-2) unstable; urgency=low

  * Depend on libqt4-sql-sqlite (closes: #678017)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 19 Jun 2012 14:16:21 +0100

mnemosyne (2.0~RC1-1) unstable; urgency=low

  * Update to new upstream version
  * Fix QT dependencies (closes: #604362)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 30 May 2012 18:58:07 +0100

mnemosyne (1.2.2-2) unstable; urgency=low

  * Update recommends to new KDE version (closes: #604362, #637479)
  * Updated to new standards version

 -- Robert Lemmen <robertle@semistable.com>  Wed, 16 Nov 2011 19:01:31 +0000

mnemosyne (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Merged patches from Ubuntu (closes: #589797 and cleans up stuff)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 26 Jul 2010 16:54:31 +0100

mnemosyne (1.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Pass --install-layout=deb to setup.py to install files correctly
    when build with Python 2.6 as default (Closes: #571480)
  * Increase minimum build-dependency on python-support to 0.90
    and on Python to 2.5.3-1~.

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Fri, 05 Mar 2010 12:35:40 +0000

mnemosyne (1.2.1-2) unstable; urgency=low

  * Fixed corrupt icon (closes: #551747)
  * Update to standards-version 3.8.3 and related fixes

 -- Robert Lemmen <robertle@semistable.com>  Mon, 04 Jan 2010 11:20:35 +0000

mnemosyne (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #521729)

 -- Robert Lemmen <robertle@semistable.com>  Wed, 15 Apr 2009 10:15:42 +0100

mnemosyne (1.2-r1-1) unstable; urgency=low

  * New upstream release (closes: #502242)
  * fixed build system (closes: #516281)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 12 Mar 2009 19:40:00 +0000

mnemosyne (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #483591)
  * Removed version info from man page (closes: #489573)
  * Fixed some minor problems and typos in debian/copyright

 -- Robert Lemmen <robertle@semistable.com>  Sat, 19 Jul 2008 19:33:43 +0100

mnemosyne (1.0.1.1-1) unstable; urgency=low

  * New upstream release (closes: #483591)
  * Bumped standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 16 Jun 2008 20:56:54 +0100

mnemosyne (1.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make installable with python 2.5. (Closes: #468607)
  * Add patch from Ubuntu to make the app work without python-xml installed
    (as per the previous upload). Thanks! (Closes: #476527)

 -- Adeodato Simó <dato@net.com.org.es>  Sun, 27 Apr 2008 12:05:54 +0200

mnemosyne (1.0-2) unstable; urgency=low

  * Dropped dependency on pyhon-xml (closes: #468607)

 -- Robert Lemmen <robertle@semistable.com>  Tue,  4 Mar 2008 14:20:10 +0000

mnemosyne (1.0-1) unstable; urgency=low

  * New upstream release (closes: #459360)
  * Fixed watch file
  * Updated to new menu stucture
  * Moved Homepage to real control field
  * Updated .desktop file to new standard
  * Bumped standards version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 18 Feb 2008 21:31:41 +0000

mnemosyne (0.9.9-1) unstable; urgency=low

  * Initial release (closes: #420237)  

 -- Robert Lemmen <robertle@semistable.com>  Mon, 17 Sep 2007 15:31:54 +0200

=== debian/control ===
Source: mnemosyne
Section: misc
Priority: extra
Maintainer: Robert Lemmen <robertle@semistable.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools
Standards-Version: 3.9.2
Homepage: http://www.mnemosyne-proj.org

Package: mnemosyne
Architecture: all
Depends: python, python-qt4, python-qt4-sql, python-matplotlib, 
    python-cherrypy3, libicu48, libqt4-sql-sqlite
Description: spaced repetition flash-card program
 The Mnemosyne software resembles a traditional flash-card program to help you
 memorise question/answer pairs, but with an important twist: it uses a
 sophisticated algorithm to schedule the best time for an item to come up for
 review. Difficult items that you tend to forget quickly will be scheduled more
 often, while Mnemosyne won't waste your time on things you remember well.

## mnemosyne 2.0.0~beta6

=== debian/changelog ===
mnemosyne (2.0.0~beta6) unstable; urgency=low

  * removed NonBlockingActivateCardsDialog
  * fixed bug with saving not existing tags when adding new card
  * removed not used images

 -- Max <maxusachev@gmail.com>  Sat, 30 Jan 2010 12:47:49 +0200

mnemosyne (2.0.0~beta6~rc2) unstable; urgency=low

  * improved User Guide performance (Max)
  * fixed bug in libmnemosyne with deleting n-sided cards (Ed)
  * fixed bug with returning to wrong mode from Input mode (Max)
  * removed 'Add card' button from Review mode (Max)
  * fixed text alignment in dialogs (Max)

 -- Max Usachev <maxusachev@gmail.com>  Tue, 26 Jan 2010 20:03:03 +0200

mnemosyne (2.0.0~beta6~rc1) unstable; urgency=low

  * created first version of User guide (Ed)
  * changed way of adding new cards (Max)
  * changed sound cards view in Review and Input modes (Max)
  * replaced statistics view - use Html widget (Max)
  * implemented tags statistics (Vlad)
  * got rid of glade (Max)
  * removed demo database from the package
  * removed rainbow theme from the package
  * decreased memory consumption
  * implemented statistics for current card (Vlad) 
  * implemented total statistics (Vlad)
  * made cards look similar in review and input modes (Max)
  * implemented input language switcher for text fields

 -- Max Usachev <maxusachev@gmail.com>  Tue, 19 Jan 2010 18:11:12 +0200

mnemosyne (2.0.0~beta5) unstable; urgency=low

  * corrected colors for GtkEntry and Html widgets (Max) 
  * changed widgets layout in Sync mode for Rainbow theme (Max) 
  * got latest code from upstream (Max) 
  * fixed borders bugs for Fremantle (Max) 
  * window exit callback adopted for Fremantle
  * implemented non-blocking dialogs 
  * implemented input and activation for tags (Max)
  * fixed UI issues for N900 (Max)
  * redesigned input mode (Max) 
  * implemented database format fixer (Max) 
  * made dark theme default

 -- Ed Bartosh <bartosh@gmail.com>  Sun, 08 Nov 2009 22:09:18 +0200

mnemosyne (2.0.0~beta4) unstable; urgency=low

  * added dark theme
  * implemented About mode
  * works on N900
  * added dependency to python-osso 

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 03 Oct 2009 23:19:19 +0300

mnemosyne (2.0.0~beta3) unstable; urgency=low

  * implemented synchronization (Max)
  * implemented Text-To-Speech support (Max)
  * Fix: reimplemented callback connecting/disconnecting for dialogs
  * Added dependency to python-libsm2sync

 -- Ed Bartosh <bartosh@gmail.com>  Wed, 12 Aug 2009 23:14:36 +0300

mnemosyne (2.0.0~beta2) unstable; urgency=low

  * Crash fix: reset review controller before swithcing 
    to input mode
  * regenerated demo database
  * disabled log uploads
  * update current font size on the fly  
  * used font size in input mode
  * reset review controller after adding cards
  * update review widget after editing

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 25 Jul 2009 22:58:34 +0300

mnemosyne (2.0.0~beta1) unstable; urgency=low

  * rewritten everything according to libmnemosyne design
  * renamed pomni->mnemosyne

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 18 Jul 2009 14:46:10 +0300

pomni (0.2.0~beta1) unstable; urgency=low

  * Implemented input and review modes for 3sided card type (Max)
  * Turned off hildon autocapitalization
  * fixed bug #93 "Various tracebacks in empty database" (Vlad) 
  * fixed bug #94 "Traceback after the second enttry in the Input mode" (Vlad) 

 -- Ed Bartosh <bartosh@gmail.com>  Sun, 31 May 2009 03:08:43 +0300

pomni (0.1.0) unstable; urgency=low

  * New look of main menu (Max)
  * Animated toolbars (Max)
  * New look of configuration mode (Max)
  * Increased input field in input mode (Fixes: #80) (Max)
  * Changed review mode look&feel (Max) 
  * 'Rainbow' and 'Eternal' UI and code have been splitted (Max)
  * Added theme selection to configuration mode (Max)
  * Removed duplicated 'Warning' diablog (Max)
  * A lot of UI changes in 'Rainbow'
  * Refactored UI classes (Vlad)
  * Implemented editing in review mode (Vlad)
  * Refactored UI classes again:
        renamed start -> activate
        renamed HildonBaseUI -> HildonBaseController
        refactored & fixed collback assigning
        ControllerConfigure isn't inherited from HildonUI anymore

 -- Ed Bartosh <bartosh@gmail.com>  Fri, 29 May 2009 14:37:04 +0300

pomni (0.0.9) unstable; urgency=low

  * Used SQLite backend from upstream 
  * fixed saving review results
  * Fixed bug #90 'application crashed after starting in  review mode' (Vlad) 

 -- Ed Bartosh <bartosh@gmail.com>  Tue, 05 May 2009 17:52:34 +0300

pomni (0.0.8) unstable; urgency=low

  * added icons (Andrew Zhilin)
  * more finger-friendly desing of configuration mode (Max)
  * added pyo files to the package 
  * used fixed SM2Mnemosyne scheduler 

 -- Ed Bartosh <bartosh@gmail.com>  Sat, 21 Mar 2009 19:23:17 +0000

pomni (0.0.7) unstable; urgency=low

  * remove button Conf in Input mode, resize icons (Max)
  * fixed #84 (crashing after some time) by removing 
    osso-service name from .desktop
  * implemented 'Learn ahead of schedule' (Vlad)
  * enabled editable property of FontSize field in Configuration mode (Max)
  * first design of Configuration mode (Max) 
  * changed color of button 'Get answer' (Max)
  * changed font size in dialog windows (Max)
  * improved geometry and layout widgets in dialog windows (Max)

 -- Ed Bartosh <bartosh@gmail.com>  Mon, 09 Mar 2009 19:50:14 +0000

pomni (0.0.6) unstable; urgency=low

  * Removed some icons from review mode and increased size 
    of add,edit,exit icons  (Vlad)
  * implemented card deleting (Vlad)
  * removed binary config 
  * implemented working draft of configuration mode (Max)
  * refactored calling of controllers
  * removed smile and draft themes from the package
  * splitted hildon_ui.py

 -- Ed Bartosh <bartosh@gmail.com>  Wed, 04 Mar 2009 22:04:24 +0000

pomni (0.0.5) unstable; urgency=low

  * fixed bug in postinst which prevented to install package
    on desktop


=== debian/control ===
Source: mnemosyne
Section: user/education
Priority: optional
Maintainer: Max Usachev <maxusachev@gmail.com>
Build-Depends: debhelper (>= 5), python2.5, python-setuptools | python2.5-setuptools
Standards-Version: 3.8.0

Package: mnemosyne
Homepage: http://www.mnemosyne-proj.org
Architecture: all
#Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-libsm2sync (>= 0.0.3), python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2
Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus
Description: Learning tool based on spaced repetition technique
 This is mobile version of Mnemosyne software
 It resembles a traditional flash-card program to help you
 memorise question/answer pairs, but with an important twist: it uses a
 sophisticated algorithm to schedule the best time for an item to come up for
 review. Difficult items that you tend to forget quickly will be scheduled more
 often, while Mnemosyne won't waste your time on things you remember well.
XB-Vcs-Git: git://github.com/umax/pomni.git
XB-Vcs-Browser: http://github.com/umax/pomni.git/mnemosyne/mnemosyne/maemo_ui/
XB-Maemo-Display-Name: Mnemosyne
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH2QcTCQstoJN9FwAABTNJREFUSMedVm1MW1UYfs65t739
 pFAKpV3Hx4RiBxEoyKawOMtcYrIP2YzOHybDbUaj8YdkuGicRhb/6C/9wbK4zA39s2nmtjBImDGR
 xLEw3Be4cidQCo5C+WppoZ/3+IOysQ+g25uc5ObmvM9z3ue+9zkv8ISxb99+8+eHv9j0pHl8shvr
 6+uV9vKKj/Jtz33KpDgdHnav//HEieFk87nVNhw5coTs3VtXW7255td1z5a9SeUqQanWyrUqeYaM
 58729PQAALZv386JosiWwyErkZw81VxSUGj7JjXDsiUqUUIIQMhCUjw8K5063rSpz+n0AHgHgJUx
 9lZLS0s8aemam3/KzLcWHk5JNx2IE0EelRgIAWiChBCAU2pp+fMbTvc5nZMJHEYIKQXQ/ThM+vCL
 s2d/c5RVVvVoM3M/iDC5nLElJEsXgIoNVWuMxiwDABBCCIBdy6nzCFEgEPSDylIjUQk0IewiMMEC
 ISUElBKAyvDa7tczAHCUUvA8X1NdXZ2aFNH09ORV713XSTlPHzj9/WrIvWdKgOKSctn6oiIDz/MQ
 BEGrVqu3JtV1ra2tsJeVdq9da6mTQJU8z9+rilJyT0KaWACQk5OtyjNpUsxrzEIsLmWWl5ef67p6
 NbJqe7e1tc6+UvOyZLZkb2UgS74ReYBksTJNig7zMx5+iz1d6agqzQ/GhPlonHWIorj6f1RYaL1m
 Npt2C+pUA6UkId992Qi9T8gYoNSmY+puP9QaLb7/4ZeccCTisFqtuVarNSiKoocuR9TY2Djf3XW5
 gUphFouEH93AFggYgNDcLDwDN2FI12Fo1BebDQQjAAoAvA2g+LHNsDTuiGLL4J3eNl4mS4CzBXAG
 SAyAFIfL+Tdi4zdQaTNAp9OhR/xvjjG26BCjAM6s6HXFb3DVnVLTZVm7/KDJkutQaNIEjqNgADiO
 4q7LCW5+FBWFFnCcHowxgFDc/OdOkFIKjuMQDoePXbx4MbRsRbZdXLHaSEZVqcQ+MeHtvdZ1+SjP
 URAAgekxuG/9jkJDGCW2bHC8HISTg3Ay+OYkuIdHgoIgAIB7cnLy3IoWJE+jPUo9W6f25hvfd7zU
 JHo8Y85rnXGlXOLyDHHYbMYFcMqBcDIQwgEsjr4BV4Tj+AjP8/D5fMeuXLkSXpHoxvEoAAw0bSv8
 9owmXlt1qwOGS5cQ2FCJuVcdGBqPwGzUQOC5Bb8gFACD2D8SVCgUCAQC/W63uyXp+ygyNLROP3Uh
 3B/yBH1+vz48NoZcQQHBbkd7exumVIpIlsUYt1nzBLPRQMV/B4OUUjYxMXHU6XRGkromTn8J9Itr
 drgnigbz5PIPWSxW4GFMZ5iZUZbq9TaNSoXA1BQGFIqQaDKNzgFhiTH4/f7erq6uPW63O5bUxbe/
 Fia9flaTZ7J/PCWTnMoZKZQyNvbHaEXFd+My2Z/R/n47J4qpapeLf8bvTyvbubO7vbv7kNfrPd/b
 2+td1VQXQ62DkJZdIDOWWP7KMs6EVBbLed5ojBvU6lBjc/PPs3v2FEcPHPhMsXGjj01PI2VkpLqh
 oeF6Z2dn3xPNDIRhiNe+UBkPXrglZL0boTmZs6O3b183Gww7APTW19cHAXzd1tp6UtPR8Ulcp/M5
 HA4fnjIEAMb36uq2bdm8uRZAzaGDB78C8CKAIgBZABTJAK00M6gA5ADIo5TmMsbWMsayMjMylONe
 rwuAG8AQgEEALgBzTzsFsYS0csYYBRAHEAjOzY0BGH9o+QFIT1vR0sMoEjIm3BVRAGEAocQBVo3/
 Ad0T/IwwDdDiAAAAAElFTkSuQmCC
 ====

## mnemosyne 2.0.0~beta7

=== debian/changelog ===
mnemosyne (2.0.0~beta7) unstable; urgency=low

  * improved postinst script

 -- Max Usachev <maxusachev@gmail.com>  Sat, 30 Jan 2010 15:29:25 +0200

## mnemosyne 2.0.0~beta8

=== debian/changelog ===
mnemosyne (2.0.0~beta8) unstable; urgency=low

  * final changes for postinst script

 -- Max Usachev <maxusachev@gmail.com>  Sat, 30 Jan 2010 16:54:44 +0200

## mnemosyne 2.0.0~beta9

=== debian/changelog ===
mnemosyne (2.0.0~beta9) unstable; urgency=low

  * fixed bugs with text fields geometry in Input mode
  * fixed bug with zero statistics information if there are no active cards or tags
  * updated toolbar icon in Statistic mode
  * implemented import from *.mem, *.xml and *.txt (tab separated Q/A) formats

 -- Max Usachev <maxusachev@gmail.com>  Sat, 13 Feb 2010 12:37:44 +0200

## mnemosyne 2.0.0~beta10

=== debian/changelog ===
mnemosyne (2.0.0~beta10) unstable; urgency=low

  * implemented tags bibding for imported cards

 -- Max Usachev <maxusachev@gmail.com>  Sun, 14 Feb 2010 14:26:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://www.mnemosyne-proj.org
 Architecture: all
 #Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-libsm2sync (>= 0.0.3), python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2
-Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus
+Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc1), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon
 Description: Learning tool based on spaced repetition technique
  This is mobile version of Mnemosyne software
  It resembles a traditional flash-card program to help you

## mnemosyne 2.0.0~beta11~rc1

=== debian/changelog ===
mnemosyne (2.0.0~beta11~rc1) unstable; urgency=low

  * the first version for Fremantle

 -- Max Usachev <maxusachev@gmail.com>  Wed, 26 May 2010 16:47:57 +0200

mnemosyne (2.0.0~beta11) unstable; urgency=low

  * corrected package dependencies

 -- Max Usachev <maxusachev@gmail.com>  Sun, 14 Feb 2010 16:02:21 +0200

=== debian/control ===
Source: mnemosyne
Section: user/education
Priority: optional
Maintainer: Max Usachev <maxusachev@gmail.com>
Build-Depends: debhelper (>= 5), python2.5, python-setuptools | python2.5-setuptools
Standards-Version: 3.8.0

Package: mnemosyne
Homepage: http://www.mnemosyne-proj.org
Architecture: all
#Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-libsm2sync (>= 0.0.3), python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2
Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc3), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon | python-hildon
Description: Learning tool based on spaced repetition technique
 This is mobile version of Mnemosyne software
 It resembles a traditional flash-card program to help you
 memorise question/answer pairs, but with an important twist: it uses a
 sophisticated algorithm to schedule the best time for an item to come up for
 review. Difficult items that you tend to forget quickly will be scheduled more
 often, while Mnemosyne won't waste your time on things you remember well.
XB-Vcs-Git: git://github.com/umax/pomni.git
XB-Vcs-Browser: http://github.com/umax/pomni/tree/n900/mnemosyne/mnemosyne/maemo_ui/
XB-Maemo-Display-Name: Mnemosyne
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
 /wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAADu9JREFUaN7VWXl0VFWe/n73vVdLUglZyAaG
 kIQYgmwuNCprGpHWxAGUBkXMsQe3FhFb7JkGDy4w3cdxXGlUIoxLK4rddotARnYxaECxw5IEQkJC
 CCFJZSmSVGp99d5v/nivijSHOYOQ7nHuOffUrfvuq/N99/f9lnsL6Kc2d+7PI+Mxo0c78P+pLVy4
 MDyMXbZs2bLPPvts36zZd0380QNfsmRJZPzzuXNnfvTxR+2nGlv4+KlWXr9+/e6srKFRRUVFPz7g
 S5cujYxXrFgx9Pnnnz94tPIYN5/z6+U1rXplfbu+Z+8+fuyxxZMAYN68uT8+ElOmTMkufvvt10r3
 feNr7vRwRX27Xn6ilY+cbOPDJ53c4vLx7373QvfF3i0sLIyMCwoK/jGAX3rppch42bLlzx4q/2t7
 Y0snV9S18aEap37kZBsfqWvTj5x08tGTTj5c69Td3gD/7Pbb/gQAs2bN/BuwhYWF+YWFhVfsJ/S/
 LXj99dewZMkTyJ86RV74wINZoVBoz/SfFQzuCUjs9QdJlgSIAGbjx4gAgAEAVkVmZ8Px3sWPL5p6
 +PCR8oKCgmhmHimEeJmZhwDYDeBRIvJt3br1sghI/9ODdevWY8uWzdi2bRuefeaZcfPvmf9yeuaw
 tdfeOCXW2RXgkKaRJAQABoEgKAweIBCIiNWQRmlpKdagz5OkKEqUJElPEdGTRCQRkR9AFhF9tHXr
 1t7LtcBFCaxftw4PPvggAIi33lr7l7nz5j4Xn5Z1XUhEoafXDxJEBGIikAHWsGXYAkQAgUmQgM5A
 tF3JPXrk8ChN0wYSkZ/ZsBARWZjZU1tb++3lEhAXm2x1tlo/3rhxys5du7uL7n9glitgc7jcQWgM
 CAGQDhCBwmDD4CEAAhsEBECCEdJ0jL95CqWmpqYzc8iULRMRMbMfwOIr8YGLEoh2xP7HjTfevDfr
 mp84jjW0sRBEgoiJ2UBuKMcATee9yfhOBgkQiAEiQpurB//ym+VWvz+QwsyaCR5CCBZCiOnTp8/u
 VwI+b2+tJCvo7vWxAY3Pa4VNvGSSCDtvhAT3iQ6GL+iaRpaoAVi4cGGCx+OxmhYAEZEsy16LxfJI
 vxF45ZWXsXz507/fs2vHmdQEB5EQrIY0yLIAmEHE58GG5ROeZ4YBTAAgSMJ4LAShp9eHabfOkNPT
 0xN0XTccUJIgyzKIKCE/P39MvxB48kkjy3q8vYUtjbWQJUFCSNB1HcJEzuC+ygEEGX6B844sDLsZ
 0QkMSRLwBBh33PFPCUIIxZQPiIhsNlu0oihT+01Cr772Kn674umK2poTxQNjZOg6s6YZIJgNffMF
 Md/YdDovrwgJI6wKALqu45YZtwuHw5EuSRKCwaBKRLrFYgGAqRMmTIjplzC6fdt2uH1+REdZm68b
 O+ZumyPOGgyqJEvEZERQEAgQgACBSAeRMOVjgCVx3hIQEW6sMSg7M0MZnJqcPHbU8ESP1yeTkIOa
 pqU7nW1ftLa2On+76jns+XLvlSWylSufx2uvrW4ZmJSUMWXSTeM6OjrYYrGSJElgMxqFzWckMWHY
 xUgCxjMzMoXHgohUNYS8vDyUfbWLZ00dJt0x/ebo4TmZibk52QNuGD/+xrzcXP3Z5/+tvN9KCQAo
 Ln47OGtekdLa3g1mDRZFga7rhmxMgCQEwPibjCz6JjgADAYTgTUdClTs3/Ehbp88gsFMJCTI0cl4
 59PSg4sef+onl0pAvpRFbk/vT0/VHtvnSExnXWdi1k2QFPGBvtsRJsB9TUyG3JgZLASYbJBihqDb
 7aeYmChAU+GIH4yP//S5VFhYeBczf8fMPUTUW1JSooUr15KSkkuTUKTef+YZbHj/vZbRo0bekD3s
 6hxvUAMAKJKAHg6bRlkQAd83wYV9IWxqNhfpOiM5LR2le/dgbF4GAPCxRi/t+XJfjyzLBQAeIqJJ
 AEbn5ORk5ubmektKSjp+sAVWrVwJAOrmzZ+/eu11109RLPF2TdcJkVh0QWOA+8gmglqYFSsR1JCG
 xAExqKysgBbSAAhYY1PowBd7VVmWA0SkAWBmzgCQSUQSM9sAHL+kMHphW7ToUWzc+MnONW+s+T5r
 cCIF/X4OBINQFAlgNmRhZmU2STEbuJkZTICuGRMCjHiHFX/54wdwntiLBbOnIhhiyBYHvvn2ULcs
 y2FMZFpVB0AlJSWrZ8yYcXk+8MYbbwIAvv5yZ+GGD9/vmXZrAQVCOgIBFYoiQ9d0hKETkbnTkRno
 mo5Yhx0Bvx/79+2G6j6L227MQ1rKWHh9AQhZ5tqGVgqF9C4TNQMgNsrWAQAeAgAzX1y6BUbMliOf
 jzzyMI5UVrvramvvaWtthg6ZDS3rxq+YJTL6WIFA0DQdQwYlY/t/fYE/vvs68sem4K4ZNyMhPg6+
 gAaQgCRZqK7RGfJ4elUTeBi8AFAeCoX2FRYWYsuWLZeeBwCgvVpH3iwpB0LnbR987//Fw/Oxe8eX
 DSNH5M0YkjlskGZiP5+Zz3tF+LBjIxXFa17BpLHJmH3bZDMciXChB0HEDEH7jzR4KiqP9RARExEk
 SSJJkljTtHXbtm37vqam5oclsnBLvBrDlCial3Mb1W1efdTd0dER1DTdfeu0yTM1spLOOimyiBhA
 0xlxsdHoaGvGiUPfoKn2IO4pnIDUlCQEVA2CBAQRQFKkhvWHiD/fvr+7vb3dI8sySZJEiqKwqqpd
 HR0dy8+ePav+4EycN0uyDcyl7BOb+eg1c+QaJYqmJMTqVS3VwIkT1ZU+f6Don4vuTnR2eqDpGlst
 Cuk6MCIzGe+++w4C7ccw+fosjBmRDSHJYAgQSeaJSDLPDQRihqok8Btr/9NltdqCsixBURQwc5TL
 5fr3srKy8unTp6O+vv7SiznD9VkHUf64R6XV0cnc7W5lrxqHjPDzr0v33LLhw48RPyCKFUUh6CFo
 bieWPvEY7pwwCHMKJsIRHQWNASZhlBrCIEFCAoQMIgEhBDc2d+ihkOa3WBQoikKKooje3l5naWnp
 R5MnT8bOnTt/eCY+sUkPAlgLAPnPyXc7m7STGQNHFVbtXpPa3ekccMzrffer77/dPm7CxBktZ8+i
 s7EaDurEi8uK4Pd74Q8EjR03a1EmAUFSuGyNnIYUexzt2PVpKDY21i/LsixJEvv9/iiv1/sAAJSW
 ll5+LVS42oqtjwcAAI9+Wjx0UkXVzquVgcNC/iBOWa3ulKYmOqSz45Tfw6vfe5M0Vz0CHpcR82UL
 hJABc8fJHAshgUkAug7Wg7Cl5OCW6TPbU5KTWyWjCafT+X1TU9NDMTExvrKyssurRgGg5gstMn6Q
 bU97D1QV/nnSEnQcOw6tttwyRlWt2V3n+OaERHprz9eoOtMFS1wGElKHwOfzsSILyBYrAWTWHKaU
 jJRHgpjrGzto1+7SZofDoSuKQsFgMNTc3Ly2vLy84syZM/1TzD25YYNDfm7FuK9Hz8TBgyc441AZ
 2bV2aqqsAkkS2TQNmdOm8a2TJ1OPLlC25zuowSC6NBXRMXYtOz1FjMq7GkKREPJ2cygUJACwRjlo
 157NekJCvFeSJEVRFD59+nTrgQMHNl3xxVbflnnrdIo7XFEw/tBXeQXOv1J7rIT61DR44uLQmZTE
 3QMH4qSqUtymTZw6dQql2e2cLATFd3WjprqWdlTV9q57Z4Pr+Il6RY5KVLKHj4Isy4DdjuK3P+yS
 ZcVtsVjI5XINqKioeKK7u7thxIgRaG9v7x8CFVtLtKG356nnOGbcsZjo8hcee+yauaWlI7XBg9UA
 s60tLY3rbTYh1dXpvgMHhDUxET6nk9SODqR2d2OIy2V15OY6Tp4+c3brzt1n16wpVutPN0v19a1y
 c0tLiyRJGjPLdXV1RysrK1/MzMxEbW1t/x1o3n9KWNin337/G9gEANN31MTPWD6/xnfnnevs27fP
 DAwfvqbz8OHf9GRlfZfQ0JB3VWfnNcMkCVJyMkgIhLq6EHI62Z2eTq7cXF/D0KGN1YcOHQ36/dlJ
 SUkD7Xa7v6urS6qqqrqjurr6eL/cjUbOx2sAVnmA1YFhd94EdWZ+5sbsA2W/7sm4dn1n05nDyV7v
 tOGLFj28/+jRnJ/W1Z0tWbCgyB4dfbIjPn6mfft2eBoa4GtrYyk+noJVVRxVXa0Md7sHjJ4zJylx
 zJjFe7dt+3Nvb29MZ2fnvsbGxk2JiYnsdrv773YaAHa+iesF4O/uwG2DYt4paOrecGbOc7uLXpkx
 g7W0tPt//d577z9+112fXtfYeOL+gwefBoAVL78cSxbLFxmffDLaUVXlsMTHw9PUBDk6mpXYWBo2
 fz4848c3alddNWbSDTd09evN3IXNbkeyZEEoMX1Al5ryVY41qfL3zBC2uPhgU1HRdgBIkOUUPSrK
 CwDPrFiBVUuX9qxcvHhCxy9/eYe2atVnvtxcJI0eDQ4EoLpc6D55kq1dXUOCPT0D+v1u9GJ+LDSM
 jBq991rroIfmx1qcmTgHWRqWrSbn57sAgJKTX+zNyckAgJWrVhl/irz6Kv713nv3to4dO89+771j
 /E880ZQ4eTIF3G52VVRQoKnpmDUrq+fvTmDiL9AECafUUyvn+msm3CTJOEsJCNozM9WniYIAkGaz
 lSkZGUnvFBdHdvSpX/0KADDS41FnL1hwdOaCBeni9defzX7hhfa4ESPc0sSJn0zIyDj3D/mL6dBp
 th6u5uy+c1s2bgynSqvNbo/66A9/KF62bFlOlM2mmAHioj72XU/PoHJdv/4os7hSXJeUie+7735c
 m0EBAHVEFM3MAwH4ZUlqBpALIMnv84my/fvrUhMS7vP6/SUAQgD8AHwAus0eYuMmoxlAMwAcPHgQ
 48aN+/sS+OCD9wAgFkAqM8eZ51Tblt27DwCYCsABwLLmrbe8b69dO8cEpwFwA+gxexeATiJymgd1
 ALgi8JccRgFEA7gKQDyABLMnmsCTTUKxAERCfLzqOneu3QTs6tPPmZ9tZuf+kLZ8ietUc9c0s4fM
 OQYQMGVCAITr3LmAOaea67SLdO4v36QfsNbaZ7fjAMSYFogynymRw9x5Uh5TRmEfCFsC/xcEws0C
 wG52m/ldMq1JfXZdNZ3YD8BrkuL+jo7Uz+9fcNvb/4AvbP8NzL6OSdkIdJsAAAAASUVORK5CYII=
 ====

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE := $(shell head -1 $(CURDIR)/debian/changelog | sed 's/^\([^ ]\+\) .*/\1/')
PREFIX := $(CURDIR)/debian/$(PACKAGE)
PYTHON := PYTHONOPTIMIZE=2 python2.5

build: build-stamp

build-stamp: 
	dh_testdir
	$(PYTHON) setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(PYTHON) setup.py clean
	rm -rf ./build
	rm -rf ./*.egg-info
	rm -f *.py[co]
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(PYTHON) setup.py install --root=$(PREFIX)
	cp $(PACKAGE) $(PREFIX)/usr/bin/$(PACKAGE)
	#rm $(PREFIX)/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui/*.py

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installmenu
	#dh_python
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mnemosyne 2.0.0~beta11~rc2

=== debian/changelog ===
mnemosyne (2.0.0~beta11~rc2) unstable; urgency=low

  * updated optify strategy

 -- Max Usachev <maxusachev@gmail.com>  Thu, 27 May 2010 14:10:08 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://www.mnemosyne-proj.org
 Architecture: all
 #Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-libsm2sync (>= 0.0.3), python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2
-Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc3), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon | python-hildon
+Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc5), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon | python-hildon
 Description: Learning tool based on spaced repetition technique
  This is mobile version of Mnemosyne software
  It resembles a traditional flash-card program to help you

=== debian/rules ===
--- 
+++ 
@@ -29,9 +29,10 @@
 	dh_testroot
 	dh_clean -k 
 	dh_installdirs
-	$(PYTHON) setup.py install --root=$(PREFIX)
+	$(PYTHON) setup.py install --root=$(PREFIX) --prefix=/opt/maemo/usr
 	cp $(PACKAGE) $(PREFIX)/usr/bin/$(PACKAGE)
-	#rm $(PREFIX)/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui/*.py
+	mkdir -p $(CURDIR)/debian/$(PACKAGE)/usr/lib/python2.5/site-packages/mnemosyne
+	ln -s $(CURDIR)/debian/$(PACKAGE)/opt/maemo/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui $(CURDIR)/debian/$(PACKAGE)/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui
 
 binary-indep: build install
 	dh_testdir

## mnemosyne 2.0.0~beta11~rc3

=== debian/changelog ===
mnemosyne (2.0.0~beta11~rc3) unstable; urgency=low

  * final fixes for optify strategy

 -- Max Usachev <maxusachev@gmail.com>  Thu, 27 May 2010 15:40:56 +0200

## mnemosyne 2.0.0~beta11~rc4

=== debian/changelog ===
mnemosyne (2.0.0~beta11~rc4) unstable; urgency=low

  * completly optified setup script

 -- Max Usachev <maxusachev@gmail.com>  Thu, 27 May 2010 17:29:13 +0200

## mnemosyne 2.0.0~beta11~rc5

=== debian/changelog ===
mnemosyne (2.0.0~beta11~rc5) unstable; urgency=low

  * removed text selection in Help
  * fixed bug with current directory in FileChooserDialog
  * removed duplicated code

 -- Max Usachev <maxusachev@gmail.com>  Sat, 05 Jun 2010 00:30:48 +0200

## mnemosyne 2.0.0~beta11

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: http://www.mnemosyne-proj.org
 Architecture: all
 #Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-15), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-libsm2sync (>= 0.0.3), python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2
-Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc5), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon | python-hildon
+Depends: python2.5, python2.5-gtk2, python-libmnemosyne (>= 2.0.0-16~rc6), python-gtkhtml2, python2.5-gstreamer | python-gst0.10, python-osso | python2.5-osso | python-gtk2, python-gconf | python2.5-gnome | python-gnome2, python-dbus | python2.5-dbus, python2.5-hildon | python-hildon
 Description: Learning tool based on spaced repetition technique
  This is mobile version of Mnemosyne software
  It resembles a traditional flash-card program to help you

## mnemosyne 2.0.0~beta12~rc1

=== debian/changelog ===
mnemosyne (2.0.0~beta12~rc1) unstable; urgency=low

  * fixed bug #156
  * finished work on Russian localization

 -- Max Usachev <maxusachev@gmail.com>  Sun, 29 Aug 2010 18:23:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,9 @@
 	$(PYTHON) setup.py install --root=$(PREFIX) --prefix=/opt/maemo/usr
 	cp $(PACKAGE) $(PREFIX)/usr/bin/$(PACKAGE)
 	mkdir -p $(CURDIR)/debian/$(PACKAGE)/usr/lib/python2.5/site-packages/mnemosyne
-	ln -s $(CURDIR)/debian/$(PACKAGE)/opt/maemo/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui $(CURDIR)/debian/$(PACKAGE)/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui
+	mkdir -p /opt/maemo/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui
+	ln -s /opt/maemo/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui $(CURDIR)/debian/$(PACKAGE)/usr/lib/python2.5/site-packages/mnemosyne/maemo_ui
+	rm -r /opt/maemo/usr/lib/python2.5/site-packages/mnemosyne
 
 binary-indep: build install
 	dh_testdir

## mnemosyne 2.0.0~beta12

=== debian/changelog ===
mnemosyne (2.0.0~beta12) unstable; urgency=low

  * added bugtracker field to control file

 -- Max Usachev <maxusachev@gmail>  Sun, 29 Aug 2010 19:17:51 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
  often, while Mnemosyne won't waste your time on things you remember well.
 XB-Vcs-Git: git://github.com/umax/pomni.git
 XB-Vcs-Browser: http://github.com/umax/pomni/tree/n900/mnemosyne/mnemosyne/maemo_ui/
+XSBC-Bugtracker: mailto:maxusachev@gmail.com
 XB-Maemo-Display-Name: Mnemosyne
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

## mnemosyne 2.0.0~beta13~rc1

=== debian/changelog ===
mnemosyne (2.0.0~beta13~rc1) unstable; urgency=low

  * use bugs.maemo.org as bugtracker link

 -- Max Usachev <maxusachev@gmail.com>  Sun, 29 Aug 2010 19:38:05 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  often, while Mnemosyne won't waste your time on things you remember well.
 XB-Vcs-Git: git://github.com/umax/pomni.git
 XB-Vcs-Browser: http://github.com/umax/pomni/tree/n900/mnemosyne/mnemosyne/maemo_ui/
-XSBC-Bugtracker: mailto:maxusachev@gmail.com
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mnemosyne
 XB-Maemo-Display-Name: Mnemosyne
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A

## mnemosyne 2.2.1

=== debian/changelog ===
mnemosyne (2.2.1-3) unstable; urgency=medium

  * drop dependency on libicu52 (closes: #794832)

 -- Robert Lemmen <robertle@semistable.com>  Tue, 11 Aug 2015 20:10:20 +0100

mnemosyne (2.2.1-2) unstable; urgency=medium

  * updated libicu depejndency (closes: #732005)

 -- Robert Lemmen <robertle@semistable.com>  Thu, 19 Dec 2013 18:45:29 +0000

mnemosyne (2.2.1-1) unstable; urgency=low

  * New upstream release (closes: #683688)
  * add debian/watch

 -- Robert Lemmen <robertle@semistable.com>  Fri, 07 Jun 2013 13:21:21 +0100

=== debian/control ===
Source: mnemosyne
Section: misc
Priority: extra
Maintainer: Robert Lemmen <robertle@semistable.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: 2.7
Homepage: http://www.mnemosyne-proj.org

Package: mnemosyne
Architecture: all
Depends: python, python-qt4, python-qt4-sql, python-matplotlib, 
    python-cherrypy3, libqt4-sql-sqlite
Description: spaced repetition flash-card program
 The Mnemosyne software resembles a traditional flash-card program to help you
 memorise question/answer pairs, but with an important twist: it uses a
 sophisticated algorithm to schedule the best time for an item to come up for
 review. Difficult items that you tend to forget quickly will be scheduled more
 often, while Mnemosyne won't waste your time on things you remember well.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	dh_install
	#678825
	rm debian/mnemosyne/usr/share/locale/nb_NO -rf

## mnemosyne 2.4

=== debian/changelog ===
mnemosyne (2.4-0.1) unstable; urgency=medium

  [ Felix Gruber ]
  * Non-maintainer upload.
  * New upstream version 2.4 (closes: #838258)
  * Use dh_python3 and build-depend on pyqt5 replacing QTWebKit with
    QTWebEngine (closes: #825887)
  * Remove old debian/README.source
  * Set dh compatibility level to 9 to avoid deprecation warnings.
  * Remove obsolete override_dh_install and update debian/rules for building
    with python3.

  [ Scott Kitterman ]
  * Add doc sources from upstream bzr to avoid sourceless javascript, rebuild
    docs using sphinx, and include html documentation
  * Add debian/source.lintian-overrides to document that source is present
    despite lintian's concerns

 -- Scott Kitterman <scott@kitterman.com>  Thu, 12 Jan 2017 21:29:11 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,29 @@
 Section: misc
 Priority: extra
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Build-Depends: debhelper (>= 8.0.0), python-setuptools
+Build-Depends: debhelper (>= 9),
+               dh-python,
+               python3,
+               python3-setuptools,
+               python3-sphinx
 Standards-Version: 3.9.2
-X-Python-Version: 2.7
+X-Python3-Version: >= 3.5
 Homepage: http://www.mnemosyne-proj.org
 
 Package: mnemosyne
 Architecture: all
-Depends: python, python-qt4, python-qt4-sql, python-matplotlib, 
-    python-cherrypy3, libqt4-sql-sqlite
+Depends: libqt5sql5-sqlite,
+         python3 (>= 3.5),
+         python3-cherrypy3,
+         python3-matplotlib,
+         python3-pyqt5,
+         python3-pyqt5.qtsql,
+         python3-pyqt5.qtwebchannel,
+         python3-pyqt5.qtwebengine,
+         python3-webob,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Description: spaced repetition flash-card program
  The Mnemosyne software resembles a traditional flash-card program to help you
  memorise question/answer pairs, but with an important twist: it uses a

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	rm -rf mnemosyne/libmnemosyne/docs/build/html
	dh_sphinxdoc -Xjquery.js -Xunderscore.js -Xsearchtools.js

## mnemosyne 2.6+ds

=== debian/changelog ===
mnemosyne (2.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update packaging:
    - rewrite d/watch to point to github.
    - rewrite d/copyright to conform to new standards
      (and remove android files)
    - bump std-ver to 4.1.3.
    - bump dh compat to 10.
    - drop patches (all upstream now). 
    - ship the documentation.
    - change priority to optional.
    - complete the desktop file.
    - disable auto tests.
    - use Python3 for everything. 

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 17 Feb 2018 18:14:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mnemosyne
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Build-Depends: debhelper (>= 9),
+Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Build-Depends: debhelper (>= 10),
                dh-python,
-               python3,
+               python3, python3-pyqt5, pyqt5-dev-tools,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.2
-X-Python3-Version: >= 3.5
+Standards-Version: 4.1.3
 Homepage: http://www.mnemosyne-proj.org
 
 Package: mnemosyne

## mnemosyne 2.6.1+ds

=== debian/changelog ===
mnemosyne (2.6.1+ds-1+deb10u1.1) buster; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:04:34 +0800

mnemosyne (2.6.1+ds-1+deb10u1) buster; urgency=medium

  * Non-maintainer upload.

  [ Julien Puydt ]
  * Add depends on PIL (Closes: #947032).

 -- Andreas Beckmann <anbe@debian.org>  Fri, 10 Jan 2020 18:49:36 +0100

mnemosyne (2.6.1+ds-1) unstable; urgency=medium

  * Update packaging:
    - bump dh compat to 11.
    - bump std-ver to 4.2.0. 
    - use my debian.org address everywhere. 
    - refresh patches and drop one.
  * Add python3-cheroot in Depends (Closes: #901413).
  * Fix README name (Closes: #903181).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 09 Aug 2018 22:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,25 @@
 Section: misc
 Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
-Build-Depends: debhelper (>= 10),
+Uploaders: Julien Puydt <jpuydt@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3, python3-pyqt5, pyqt5-dev-tools,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://www.mnemosyne-proj.org
+Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
+Vcs-Browser: https://salsa.debian.org/debian/mnemosyne
 
 Package: mnemosyne
 Architecture: all
 Depends: libqt5sql5-sqlite,
          python3 (>= 3.5),
+         python3-cheroot,
          python3-cherrypy3,
          python3-matplotlib,
+         python3-pil,
          python3-pyqt5,
          python3-pyqt5.qtsql,
          python3-pyqt5.qtwebchannel,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+ds \
https://github.com/mnemosyne-proj/mnemosyne/tags .*/archive/v?([\d\.]+).tar.gz

## mnemosyne 2.7+ds

=== debian/changelog ===
mnemosyne (2.7+ds-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Julien Puydt ]
  * New upstream release.
  * Add depends on PIL (Closes: #947032).
  * Bump std-ver to 4.4.1.
  * Switch from d/compat 11 to debian-compat 12.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 31 Dec 2019 14:09:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Robert Lemmen <robertle@semistable.com>
 Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3, python3-pyqt5, pyqt5-dev-tools,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Homepage: http://www.mnemosyne-proj.org
 Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
 Vcs-Browser: https://salsa.debian.org/debian/mnemosyne

## mnemosyne 2.7.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3, python3-pyqt5, pyqt5-dev-tools,
+               python3-gtts,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://www.mnemosyne-proj.org
 Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
 Vcs-Browser: https://salsa.debian.org/debian/mnemosyne

## mnemosyne 2.7.1+ds

=== debian/changelog ===
mnemosyne (2.7.1+ds-1) unstable; urgency=medium

  * Make sure the icon is found.
  * Bump std-vers to 4.5.0.
  * New upstream release.
  * Add patch to disable googletrans.
  * Add depends on python3-gtts.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 21 Feb 2020 07:59:49 +0100

## mnemosyne 2.7.2+ds1

=== debian/changelog ===
mnemosyne (2.7.2+ds1-1) unstable; urgency=medium

  * Number the +ds prefix.
  * New upstream release.
  * Take over maintainership after R.Lemmen's passing. :-(
  * Declare d/rules doesn't require root.
  * Bump dh compat to 13.
  * Add lintian override for a sphinx file.
  * Update patches.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 20 Jul 2020 13:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: mnemosyne
 Section: misc
 Priority: optional
-Maintainer: Robert Lemmen <robertle@semistable.com>
-Uploaders: Julien Puydt <jpuydt@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Julien Puydt <jpuydt@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3, python3-pyqt5, pyqt5-dev-tools,
                python3-gtts,
                python3-setuptools,
                python3-sphinx
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.mnemosyne-proj.org
 Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
 Vcs-Browser: https://salsa.debian.org/debian/mnemosyne

## mnemosyne 2.7.3+ds1

=== debian/changelog ===
mnemosyne (2.7.3+ds1-2) unstable; urgency=medium

  * Add missing depend on gtts. (Closes: #979398)

 -- Julien Puydt <jpuydt@debian.org>  Wed, 06 Jan 2021 17:47:09 +0100

mnemosyne (2.7.3+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix a Python 3.9 bug. (Closes: #975820)
  * Drop now-useless lintian override.
  * Document python3_only.patch properly.
  * Bump std-vers to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Nov 2020 08:47:48 +0100

mnemosyne (2.7.2+ds1-2) unstable; urgency=medium

  * Add patch to avoid dep on Python 2. (Closes: #966321)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 02 Aug 2020 19:20:58 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-gtts,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.mnemosyne-proj.org
 Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
@@ -20,6 +20,7 @@
          python3 (>= 3.5),
          python3-cheroot,
          python3-cherrypy3,
+         python3-gtts,
          python3-matplotlib,
          python3-pil,
          python3-pyqt5,

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+ds1 \
https://github.com/mnemosyne-proj/mnemosyne/tags .*/archive/v?([\d\.]+).tar.gz

## mnemosyne 2.8+ds1

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+argon2-cffi
 cheroot
 cherrypy
 matplotlib

=== debian/changelog ===
mnemosyne (2.8+ds1-2) unstable; urgency=medium

  * Add depend on argon2 (Closes: #995084).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 Oct 2021 06:54:21 +0200

mnemosyne (2.8+ds1-1) unstable; urgency=medium

  * Fix d/watch.
  * Bump standards-version to 4.6.0.
  * New upstream release.
  * Drop fix_975820.patch (upstreamed). 

 -- Julien Puydt <jpuydt@debian.org>  Mon, 30 Aug 2021 13:48:28 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-gtts,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://www.mnemosyne-proj.org
 Vcs-Git: https://salsa.debian.org/debian/mnemosyne.git
@@ -18,6 +18,7 @@
 Architecture: all
 Depends: libqt5sql5-sqlite,
          python3 (>= 3.5),
+         python3-argon2,
          python3-cheroot,
          python3-cherrypy3,
          python3-gtts,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	make build-all-deps

override_dh_auto_test:
        # disable tests for now

## mnemosyne 2.9+ds1

=== requirements.txt ===
--- 
+++ 
@@ -5,5 +5,6 @@
 webob
 sphinx
 pyqt5
+pyqtwebengine
 nose
 decorator

=== debian/changelog ===
mnemosyne (2.9+ds1-1) unstable; urgency=medium

  * New upstream release (Closes: #883333, #948748, #526330, #897184).
  * Drop the patch to disable google translator (upstream).
  * Add a suggest on mplayer for sound (Closes: #787442).

 -- Julien Puydt <jpuydt@debian.org>  Thu, 14 Jul 2022 12:00:16 +0200

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
+Suggests: mplayer
 Description: spaced repetition flash-card program
  The Mnemosyne software resembles a traditional flash-card program to help you
  memorise question/answer pairs, but with an important twist: it uses a

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
repacksuffix=+ds1 \
https://github.com/mnemosyne-proj/mnemosyne/tags .*/v?([\d\.]+).tar.gz
